classification
Title: module is not displayed by cgitb.html
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, sblondon, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-04-10 11:59 by sblondon, last changed 2018-04-30 08:35 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
traceback_cgi.gif sblondon, 2018-04-10 11:59
Pull Requests
URL Status Linked Edit
PR 6442 merged sblondon, 2018-04-10 12:04
PR 6637 merged miss-islington, 2018-04-29 17:49
PR 6638 merged miss-islington, 2018-04-29 17:51
PR 6650 merged serhiy.storchaka, 2018-04-30 07:35
Messages (5)
msg315167 - (view) Author: Stéphane Blondon (sblondon) * Date: 2018-04-10 11:59
The html produced by cgitb.html() does not display <module> because the square brackets are interpreted as a html tag (see the picture in attachement).
This bug occurs if the code is called directly in the module, not inside a function or a class.
msg315902 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-29 17:48
New changeset 7d68bfa82654ba01d860b8a772ff63bf0bd183ee by Serhiy Storchaka (sblondon) in branch 'master':
bpo-33256: Replace angle brackets around python object repr to display it in html (GH-6442)
https://github.com/python/cpython/commit/7d68bfa82654ba01d860b8a772ff63bf0bd183ee
msg315911 - (view) Author: miss-islington (miss-islington) Date: 2018-04-29 19:10
New changeset 736f17fb8d8b105567d56317f9c0b4c577ce4105 by Miss Islington (bot) in branch '3.7':
bpo-33256: Replace angle brackets around python object repr to display it in html (GH-6442)
https://github.com/python/cpython/commit/736f17fb8d8b105567d56317f9c0b4c577ce4105
msg315912 - (view) Author: miss-islington (miss-islington) Date: 2018-04-29 19:10
New changeset ef91552cfb4b45f75b415dd43fb6a21795c8dbee by Miss Islington (bot) in branch '3.6':
bpo-33256: Replace angle brackets around python object repr to display it in html (GH-6442)
https://github.com/python/cpython/commit/ef91552cfb4b45f75b415dd43fb6a21795c8dbee
msg315939 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-30 08:34
New changeset 07ad02f62cc336772e12e3fd837579952b03ca57 by Serhiy Storchaka in branch '2.7':
[2.7] bpo-33256: Replace angle brackets around python object repr to display it in html (GH-6442). (GH-6650)
https://github.com/python/cpython/commit/07ad02f62cc336772e12e3fd837579952b03ca57
History
Date User Action Args
2018-04-30 08:35:18serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 2.7, Python 3.6, Python 3.7, Python 3.8
2018-04-30 08:34:52serhiy.storchakasetmessages: + msg315939
2018-04-30 07:35:53serhiy.storchakasetpull_requests: + pull_request6346
2018-04-29 19:10:42miss-islingtonsetmessages: + msg315912
2018-04-29 19:10:15miss-islingtonsetnosy: + miss-islington
messages: + msg315911
2018-04-29 17:51:45miss-islingtonsetpull_requests: + pull_request6334
2018-04-29 17:49:52miss-islingtonsetpull_requests: + pull_request6333
2018-04-29 17:48:35serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg315902
2018-04-10 12:04:22sblondonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6138
2018-04-10 12:00:28sblondonsettype: behavior
2018-04-10 11:59:39sblondoncreate